package no.statnett.ecp.pf;

import java.util.ArrayList;
import java.util.List;

public class ClientGroup {
  private List<ArtemisClient> clientList = new ArrayList<>();
  private String type;

  public ClientGroup(String type) {
    this.type = type;
  }

  public void add(ArtemisClient ac) {
    clientList.add(ac);
  }

  public Counter sumAndResetCounter() {
    Counter counter = new Counter(type);
    for (ArtemisClient ac : clientList) {
      Counter acCounter = ac.getCounter();
      double throughput = counter.add(acCounter);
      counter.addDebugInfo(String.format("%4.0f ", throughput));
      acCounter.reset();
    }

    return counter;
  }

  public void setQueueSize(int queueSize) {
    for (ArtemisClient ac : clientList) {
      ac.setQueueSize(queueSize);
    }
  }
}
